setTimeLimit {base} | R Documentation

## Set CPU and/or Elapsed Time Limits

### Description

Functions to set CPU and/or elapsed time limits for top-level computations or the current session.

### Usage

    setTimeLimit(cpu = Inf, elapsed = Inf, transient = FALSE)

    setSessionTimeLimit(cpu = Inf, elapsed = Inf)

### Arguments

`cpu` | double. Limit on total cpu time.
`elapsed` | double. Limit on elapsed time.
`transient` | logical. If `TRUE`, the limits apply only to the rest of the current computation.

### Details

`setTimeLimit` sets limits which apply to each top-level computation, that is a command line (including any continuation lines) entered at the console or from a file. If it is called from within a computation the limits apply to the rest of the computation and (unless `transient = TRUE` to subsequent top-level computations.

`setSessionTimeLimit` sets limits for the rest of the session. Once a session limit is reached it is reset to `Inf`.

Setting any limit has a small overhead – well under 1% on the systems measured.

Time limits are checked whenever a user interrupt could occur. This will happen frequently in R code and during `Sys.sleep`, but only at points in compiled C and Foreign code identified by the code author.

‘Total cpu time’ includes that used by child processes where the latter is reported.

It is possible (but very unusual) to build R without support for `proc.time`, in which case these functions have no effect.

[Package base version 2.8.1 Index]